## org.eclipse.jst.jsf.core.jsflibraryregistry
Class InvalidArchiveFilesCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jst.jsf.core.jsflibraryregistry.InvalidArchiveFilesCreationException

All Implemented Interfaces:
  java.io.Serializable

Deprecated.

    public class InvalidArchiveFilesCreationException

extends java.lang.Exception

Exception class thrown by PluginProvidedJSFLibraryCreationHelper.

Provisional API - subject to change

See Also:
  Serialized Form

Constructor Summary
`InvalidArchiveFilesCreationException(java.lang.String msg)` Deprecated. Creates an instance with the specified message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidArchiveFilesCreationException

    public InvalidArchiveFilesCreationException(java.lang.String msg)

  Deprecated.
  Creates an instance with the specified message.

  Parameters:
    `msg` - This instance's message